# Class CIM_PrivilegeManagementCapabilities
extends CIM_Capabilities

A subclass of Capabilities that defines the capabilities of the Privilege Management Service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_PrivilegeManagementCapabilities

## Direct Known Subclasses

CIM_RoleBasedManagementCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass of Capabilities that defines the capabilities of the Privilege Management Service.
UMLPackagePath | string | CIM::User::Privilege
Version | string | 2.18.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SharedPrivilegeSupported | boolean | false
Description | string | Set to TRUE if this PrivilegeManagementService supports association of multiple subjects or targets to a particular Privilege. If False, the AssignAccess method supports at most one entry each in the Subjects and Targets parameters.
ActivitiesSupported | uint16[] |
ArrayType | string | Indexed

Description

string

A super set of activities that could be granted or denied to a role or an identity by the associated privileges. The Activities property of the instances of CIM_Privilege that are associated to the role or the identity MUST contain only the values enumerated in the ActivitiesSupported array property. The supported activities apply to all entities specified in the ActivityQualifiersSupported array. Refer to the CIM_Privilege.Activities property for the detailed description of values.

ModelCorrespondence | string | CIM_PrivilegeManagementCapabilities.ActivityQualifiersSupported
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, .., 16000..
Values | string | Other, Create, Delete, Detect, Read, Write, Execute, DMTF Reserved, Vendor Reserved
ActivityQualifiersSupported | string[] |
ArrayType | string | Indexed

Description

string

The ActivityQualifiersSupported property is an array of string values used to further qualify and specify the supported activities of privileges. The ActivityQualifiers property of the instances of CIM_Privilege that are associated to the role or the identity MUST contain only the values enumerated in the ActivityQualifiersSupported array property. Details on the semantics of the individual entries in ActivityQualifiersSupported are provided by corresponding entries in the QualifierFormatsSupported array. Refer to the CIM_Privilege.ActivityQualifiers property for the detailed description of values.

ModelCorrespondence | string | CIM_PrivilegeManagementCapabilities.ActivitiesSupported, CIM_Privilege.QualifierFormats
QualifierFormatsSupported | uint16[] |
ArrayType | string | Indexed

Description

string

Defines the semantics of corresponding entries in the ActivityQualifierSupported array. The QualifierSupported property of the instances of CIM_Privilege that are associated to the role or the identity MUST contain only the values enumerated in the QualifierSupported array property. Refer to the CIM_Privilege.QualifierSupported property for the detailed description of values.

ModelCorrespondence | string | CIM_Privilege.ActivityQualifiers
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, .., 16000..
Values | string | Class Name, <Class.>Property, <Class.>Method, Object Reference, Namespace, URL, Directory/File Name, Command Line Instruction, SCSI Command, Packets, DMTF Reserved, Vendor Reserved
SupportedMethods | uint16[] |
Description | string | Each enumeration corresponds to support for the like-named method of the PrivilegeManagementService.
ValueMap | string | 0, 1, 2, 3, 4..40, .., 0x8000..
Values | string | ChangeAccess, ShowAccess, AssignAccess, RevokeAccess, DMTF Role Reserved, DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods